::-moz-selection 
{
    background: #333;
    color:#f5f5f5;
    text-shadow: none;
}

::selection 
{
    background: #333;
    color:#f5f5f5;
    text-shadow: none;
}

/* Basic structure */

img 
{
    max-width:100%;
}

ol li
{
    margin-bottom: 20px;
}

body
{
    /*background:#f9f9f9;*/
    background:#5F545A; 
    font-family: 'Quicksand', sans-serif;
    font-weight:300;
    font-size:15px;
    margin:0;
    min-height:100vh;
    overflow:hidden;
    /*background-image:url( "../media/background.png" );*/
    background-size:cover;
    background-position:center;
}

/*body:before
{
    content:"";
    position:absolute;
    top:0px;
    left:0px;
    bottom:0px;
    right:0px;
    background-image:url( "../media/moon.png" );
    background-repeat:no-repeat;
    pointer-events:none;
}*/

body:not( .loaded ) .inspect-window
{
    transition:none !important;
}

.main 
{
    min-height:100vh;
}

.main:after
{
    position:fixed;
    top:0px;
    left:0px;
    right:0px;
    bottom:0px;
    content:"";
    background:rgba( 0,0,0,0.8 );
    opacity:0;
    pointer-events:none;
    transition:all 0.3s ease-out;
    z-index: 20;
}

.displaying-result .main:after
{
    opacity:1;
    pointer-events:auto;
}

.prototype,
.hidden
{
    display:none !important;
}

.text-left
{
    text-align:left !important;
}

*
{
    position:relative;
}

.left
{
    float:left;
}

.right
{
    float:right;
}

.clear:before,
.clear:after 
{
    content:" "; 
    display:table; 
}

.clear:after 
{
    clear:both;
}

.clear 
{
    *zoom:1;
}

.button
{
    cursor:pointer;
    user-select:none;
    transition:all 0.3s ease-out;
}

.button:active
{
    transform:translateY( 1px ) scale( 0.97,0.97 );
}

.center
{
    text-align:center;
}

.content
{
    max-width:780px;
    margin:0px auto;
}

a
{
    text-decoration:none;
    color:inherit;
}

a.button
{
    display: block;
    cursor: pointer;
    user-select: none;
    transition: all 0.3s ease-out;
    background: #333;
    color: #eee;
    padding: 12px 0px;
}

/* On-page styling */

ul 
{
    list-style-type:circle;
    padding-left:20px;
    padding-top:10px;
}

ul li 
{
    padding-bottom:20px;
}

/* Slot Machine */

.slot:before
{
    content: "";
    background-image: url(logo.png);
    background-size: contain;
    width: 90px;
    height: 90px;
    background-color: #EA4792;
    border: 30px solid #EA4792;
    border-top-width: 20px;
    border-bottom: none;
    /* box-shadow: 0px 10px 10px rgba(42, 27, 37, 0.3); */
    border-radius: 80px 80px 0px 0px;
    position: absolute;
    bottom: calc( 100% + 10px );
    left: 50%;
    transform: translateX( -50% ) rotate( 0deg );
    z-index: 2;
    filter:drop-shadow(0px -20px 20px rgba( 0,0,0,0.05 ));
}

.slot
{
    position: absolute;
    max-width: 600px;
    width: 86%;
    max-height: 440px;
    height: calc(90px + 50vw);
    background: #EA4792;
    border: 30px solid #EA4792;
    box-shadow:0px 10px 30px rgba( 0,0,0,0.2 );
    left: 50%;
    top: 49%;
    transform: translateY( -50% ) translateX( -50% );
    border-radius: 11px;
    z-index: 10;
    /*aspect-ratio: 100 / 73;*/
    animation: waweSlot 5s ease-in-out infinite;
}

/*

.slot:after
{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 10;
    content: "A nyereményjáték 2018-06-07 -től elérhető";
    background: rgba(64, 41, 57, 0.9);
    color: #fff;
    line-height: 442px;
    text-align: center;
    font-size: 28px;
}

*/

.slot img[src*="balloon"]
{
    position:absolute;
    left:calc( 50% - 55px );
    width:110px;
    transform-origin:50% 100%;
    bottom: calc( 100% + 73px );
}

@keyframes balloon-1
{
    from { transform:rotate( -25deg ); }
    to { transform:rotate( -20deg ); }
}

@keyframes balloon-2
{
    from { transform:rotate( 5deg ); }
    to { transform:rotate( 1deg ); }
}

@keyframes balloon-3
{
    from { transform:rotate( 34deg ); }
    to { transform:rotate( 38deg ); }
}

.slot img[src*="balloon"]:nth-of-type( 1 )
{
    margin-left:-60px;
    margin-bottom:-15px;
    transform:rotate( -25deg );
    animation:2s ease-in-out 0s infinite alternate balloon-1;
}

.slot img[src*="balloon"]:nth-of-type( 2 )
{
    margin-left:-10px;
    transform:rotate( 5deg );
    animation:3s ease-in-out 0s infinite alternate balloon-2;
}

.slot img[src*="balloon"]:nth-of-type( 3 )
{
    margin-left:20px;
    transform:rotate( 34deg );
    animation:2.5s ease-in-out 0s infinite alternate balloon-3;
}

.slot>img[src*="available-gifts"]
{
    opacity: 0.5;
    position:absolute;
}

.slot>img[src*="available-gifts/balaton-sound"]
{
    top: 39px;
    right: -128px;
    transform: rotate( -25deg );
    height: 152px;
}

.slot>img[src*="available-gifts/ipad"]
{
    top: 245px;
    right: -84px;
    transform: rotate( 110deg );
    height: 162px;
}

.slot>img[src*="available-gifts/iphone"]
{
    top: 28px;
    left: -79px;
    transform: rotate( -71deg );
    height: 206px;
}

.slot>img[src*="available-gifts/magic-wind"]
{
    top: 190px;
    left: -175px;
    transform: rotate( -124deg );
    height: 219px;
}

.slot>img[src*="available-gifts/dessata-bright"]
{
    bottom: -120px;
    left: 177px;
    transform: rotate( -153deg );
    height: 195px;
}

.slot>img[src*="available-gifts/csodakefe"]
{
    bottom: -63px;
    right: 117px;
    transform: rotate( -115deg );
    height: 90px;
}

.slot .column 
{
    display: inline-block;
    float: left;
    width: calc( ( 100% / 3 ) - 13.33px );
    border:10px solid #99685f;
    /*border: 10px solid transparent;*/
    border-left-width:0px;
    height: calc( 100% - 21px );
    /*background: #d8cacf;*/
    overflow: hidden;
}

.slot .column.column-0
{
    border-left-width:10px;
}

.slot .column .spinner
{
    border-left: 1px solid;
    border-right: 1px solid;
    border-color: #714d59;
    position:absolute;
    left:0px;
    right:0px;
    bottom:1px;
}

.slot .column .spinner.no-transition
{
    transition:none !important;
}

.slot .column .spinner.no-transition .item
{
    opacity:0;
}

.slot .column.running .item img
{
    
}

.slot .column .spinner .item 
{
    /*height:141px;*/
    background:#eee;
    margin-top:2px;
    /*aspect-ratio: 100 / 75;*/
    width: calc(3px + 25vw);
    height: calc( 20px + 17vw );
    max-height: 140px;
}

@media ( min-width: 700px ) {

    .slot .column .spinner .item
    {
        width: 186px;
    }
}

.slot .column .spinner .item img 
{
    width:80%;
    height:90%;
    max-width: 110px;
    object-fit:contain;
    object-position:center center;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
}

.first-spin-overlay
{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    color: #fff;
    width: 100%;
    height: 100%;
    /*aspect-ratio: 100 / 73;*/
    /*max-width: 600px;*/
    /*background: #551706cc;*/
    background: rgba(44,31,28,0.9);
    /*animation: waweSlot 5s ease-in-out infinite;*/
}

.first-spin-overlay .button
{
    line-height: 20px;
    padding: 20px 0;
    background: #EA4792; 
    border: 6px solid #c51f6b;
    color: #fff;
    width: 260px;
    font-size: 16px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: bold;
    margin: auto;
    box-shadow: 3px 3px 1px rgba(0, 0, 0, 0.4);
/*    border: 2px solid #352213;
    border-right-color: #281d24;
    border-bottom-color: #281d24;*/
    border-radius: 17px;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
}

.first-spin-overlay .button:hover
{
    scale: 1.02;
    box-shadow: 6px 6px 3px rgba(0, 0, 0, 0.3);
}

.first-spin-overlay .button:active
{
    scale: 0.98;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);
}

body:not( .first-spin ) .first-spin-overlay
{
    transition:all 0.4s ease-out;
    opacity:0;
    pointer-events:none;
}

.window
{
    position: fixed;
    background: #fff;
    opacity:0;
    pointer-events:none;
    transform:translateY( -40px );
    transition:all 0.3s ease-out;
}

.window.result 
{
    /*position: fixed;
    background: #fff;
    top: calc( 50% - 320px );
    left:calc( 50% - 235px );
    width:401px;
    padding: 40px;
    padding-bottom:30px;*/

    position: fixed;
    background: #fff;
    top: 50%;
    left: 50%;
    width: 74%;
    max-width: 507px;
    /* height: 300px; */
    padding: 40px;
    padding-bottom: 30px;
    max-height: calc( 100% - 120px );
    overflow-y: auto;
    border-radius: 6px;
    z-index: 30;
    transform: translate(-50%, -50%);
}

.window.result .gift-preview img
{
    max-height: 190px;
}

.displaying-result .window.result
{
    opacity:1;
    /*transform:none;*/
    pointer-events:auto;
}

.window.intro
{
    font-family: "Roboto", sans-serif;
    box-sizing: border-box;
}

.window .title
{
    font-size: 22px;
    line-height: 130%;
    padding-bottom:20px;
    margin-bottom:20px;
    padding-left: 10px;
}

.window.intro .title.main-title
{
    font-family: "Montserrat", helvetica;
    font-weight: bold;
    color: #EA4792;
    margin-bottom: 0;
    padding: 0;
    font-size: 18px;
}

.window.intro .triangle
{
    background-color: #EA4792;
    width: 100%;
    height: 20px;
    border-bottom: 1px solid #fff;
}

.window.intro .triangle:after
{
    content: "";
    position: absolute;
    top: 0px;
    left: 0;
    width: 100%;
    background-color: #fff;
    padding-bottom: 20px;
    clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
    border-bottom: 1px solid #fff;
}

.window.intro .hero-section
{
    background-color: #F4F2F3;
}

.window.intro b
{
    /*color: #EA4792;*/
    /*color: #000;*/
    color: rgb(234, 71, 146);
}

.window.intro a.text
{
    display: block;
    text-align: center;
}

.window.intro .content
{
    padding: 30px 10px;
}

.window .description
{
    padding:25px 15px;
    line-height:25px;
}

.window .button
{
    padding: 15px 0;
    font-size: 22px;
    width: 100%;
    margin: 0;
    border-radius: 24px;
    border: 0;
    background-color: #9D547A;
    box-sizing: border-box;
    color: #fff;
    text-align: center;
    max-width: 355px;
    margin: 50px auto 0px auto;
}

.window.intro
{
    opacity:1;
    pointer-events:auto;
    transform:none;
    top:0;
    left:0;
    right:0;
    bottom:0;
    overflow-y:auto;
    padding-bottom: 80px;
    z-index: 20;
    color: #5F545A;
}

.window.intro .hero
{
    width: 100%;
}

.intro-done .window.intro
{
    opacity:0;
    pointer-events:none;
    transform:translateY( -40px );
}

.window.intro .description
{
    padding: 0;
    line-height: 25px;
    font-size: 14px;
    font-weight: 400;
}

@media( max-width:1023px ){

    .window.intro .description
    {
        line-height: 20px;
        font-size: 12px;
    }

}

.window.intro .description .subtitle
{
    font-family: "DM Serif Display", serif;
    font-size: 22px;
    color: #EA4792;
    text-align: center;
}

.window.intro .title.prizes
{
    background-color: #EA4792;
    color: #fff;
    text-align: center;
    max-width: 1024px;
    padding: 10px;
    margin: 0 auto;
    text-transform: uppercase;
}

.window.intro .prize-box
{
    display: inline-block;
    background-color: #F7F7F7;
    border-radius: 24px;
    padding: 10px;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.2);
    margin: 7px;
    box-sizing: border-box;
}

.window.intro .prize-box .preview img
{
    max-width: 70px;
}

.window.intro .prize-box .preview,
.window.intro .prize-box .prize-description
{
    display: inline-block;
    vertical-align: middle;
}

.window.intro .prize-box .prize-description
{
    width: calc(100% - 81px);
    font-size: 12px;
    line-height: 140%;

}

.window.intro .coupon-field
{
    text-align: center;
}

.window.intro .footer-text,
.window.intro .title
{
    text-align: center;
}

@media ( min-width: 768px )
{
    .window.intro .prize-box
    {
        width: calc( 100% / 2 - 16px );
    }
}

.window.intro .description .preview-image
{
    text-align: center;
}

.window.intro .szulinap3-available-gift
{
    height: 100px;
    width: 100px;
    object-fit: contain;
    margin-right: 25px;
    background: #efeeee;
    border: 1px solid #d0cfcf;
    padding: 10px;
}

.window.intro input 
{
    text-align: center;
    max-width: 400px;
    width: 100%;
    border: 0;
    background-color: #F4F2F3;
    padding: 18px 14px;
    border-radius: 12px;
    color: #EA4792;
    font-size: 15px;
    margin: 0 auto;
    box-sizing: border-box;
}

.window.intro .title.subtitle
{
    padding: 10px;
    text-align: center;
    background-color: #EA4792;
    color: #fff;
    margin: 0;
    font-weight: bold;
}

.window.intro .rounded-title
{
    color: #fff;
    background: #EA4792;
    padding: 5px 20px;
    border-radius: 20px;
    display: inline-block;
    margin: 10px 0px 20px 0px;
}

.window.intro .rounded-title.discrete
{
    color: #EA4792;
    background: none;
    border: 1px solid;
}

::-webkit-input-placeholder 
{
    /* color:#a25876; */
    color: #EA4792;
}

:-moz-placeholder 
{ 
    /* color:#a25876; */
    color: #EA4792;
   opacity:1;
}

::-moz-placeholder 
{ 
    /* color:#a25876; */
    color: #EA4792;
   opacity:1;
}

:-ms-input-placeholder 
{ 
    /* color:#a25876; */
    color: #EA4792;
}

:placeholder-shown 
{ 
    /* color:#a25876; */
    color: #EA4792;
}

.window.intro input:focus
{
    outline:none;
}

.window.intro .button.submit-code
{
    padding: 15px 50px;
    font-size: 22px;
    width: 100%;
    max-width: 280px;
    margin: 30px auto 0 auto;
    border-radius: 24px;
    /*background-color: #9D547A;*/
    background-color: #ea4792;
    box-sizing: border-box;
}

.window.intro .validation-response
{
    padding: 20px;
    margin-top: 45px;
    color: #fff;
    background:#399d64;
    font-size: 21px;
}

.window.intro .validation-response.error
{
    background: #9d393f;
}

.choose-csodakefe
{
    width: 591px;
    top: 20px;
    bottom: 20px;
    left: calc( 50% - 345px );
    z-index: 500;
    background: #fff;
    padding: 45px;
    overflow-y:auto;
    z-index:500;
}

.choose-csodakefe.active
{
    pointer-events:auto;
    transform: none;
    opacity: 1;
}

.choose-csodakefe .item
{
    width: 70px;
    height: 70px; 
    display: inline-block;
    vertical-align: top;
    border: 1px solid #eee;
    margin:5px;
    cursor:pointer;
}

.choose-csodakefe .item.active
{
    border-color:#222;
    background: #222;
}

.choose-csodakefe .item img
{
    width:inherit;
    height:inherit;
    object-fit: contain;
}

.choose-csodakefe-handle
{
    cursor:pointer;
}

/* Desktop and other media queries */

@media ( max-width : 1023px ){

    .desktop 
    {
        display:none;
    }

    .mobile-left
    {
        float: left;
    }

}

@media ( min-width : 1024px ){

    .mobile
    {
        display:none;
    }

    a.button
    {
        background:transparent;
        padding: 12px 0px;
        margin: 0px auto;
        max-width: 300px;
        color: #333;
        border: 1px solid #333;
        font-weight: bold;
    }

    .window.intro a.button
    {
        margin-top: 0;
        font-weight: normal;
    }

    a
    {
        z-index:1;
        cursor:pointer;
        overflow:hidden;
    }

}


@media ( max-device-width:670px ){

 /*   body
    {
        background-image:url( "../media/background-m.png?20" );
    }*/

    body:before
    {
        background-image:url( "../media/moon-m.png" );
        background-position:center 150px;
        background-size: 640px;
    }

    .graveyard-container-wrapper
    {
        bottom:40vh;
    }

}

/*background*/

.layer {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    pointer-events: none;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 0;
    transition: 0.3s all ease;
    -webkit-transition: 0.3s all ease;
}

@keyframes shine {
    0% {
        filter: brightness(1);
    }
    50% {
        filter: brightness(1.3);
    }
    100% {
        filter: brightness(1);
    }
}

.layer.layer-0 {
    background-image: url(/nyeremenyjatek/media/nap.png?333);
    background-position: bottom left;
    background-size: contain;
    height: 150px;
    left: -120px;
    bottom: auto;
    z-index: 1;
    animation: shine 10s ease-in-out infinite;
}

.layer.layer-1 {
    background-image: url("/nyeremenyjatek/media/homok-m.png");
    background-position: bottom center;
    height: calc(100vh / 2);
    top: auto;
}

.layer.layer-2 {
    background-image: url("/nyeremenyjatek/media/surf.png");
    background-position: bottom center;
    background-size: contain;
    height: 300px;
    width: 150px;
    top: auto;
    left: -40px;
    bottom: -20px;
    z-index: 4;
}

.layer.layer-3 {
    background-image: url("/nyeremenyjatek/media/levelek.png");
    background-position: bottom center;
    background-size: contain;
    top: auto;
    left: auto;
    right: -30px;
    bottom: 0px;
    height: 150px;
    width: 380px;
    z-index: 1;
}

.layer.layer-4 {
    background-image: url(/nyeremenyjatek/media/level-1.png);
    background-position: bottom center;
    background-size: contain;
    width: 80px;
    height: 98px;
    top: auto;
    right: 200px;
    left: auto;
    animation: wind 6s ease-in-out infinite;
    transform-origin: bottom;
    animation-delay: 2s;
    z-index: 1;
}

.layer.layer-5 {
    background-image: url("/nyeremenyjatek/media/level-2.png");
    background-position: bottom center;
    background-size: contain;
    width: 80px;
    height: 90px;
    top: auto;
    right: 210px;
    left: auto;
    animation: wind 4s ease-in-out infinite;
    transform-origin: bottom;
    animation-delay: 1.5s;
    z-index: 1;
}

.layer.layer-6 {
    background-image: url("/nyeremenyjatek/media/viz-m.png");
    background-position: bottom center;
    top: 50%;
    bottom: auto;
    height: calc(100vh / 3 + 80px);
    background-size: cover;
    z-index: 0;
    animation: wawe 5s ease-in-out infinite;
    /*animation-delay: -9s;*/
}

.layer.layer-7 {
    background-image: url("/nyeremenyjatek/media/eg-m.png");
    background-position: bottom center;
    height: calc(100vh / 2);
}

.layer.layer-8 {
    background-image: url("/nyeremenyjatek/media/virag-1.png");
    background-position: bottom center;
    background-size: contain;
    width: 160px;
    height: 135px;
    top: auto;
    right: 160px;
    left: auto;
    bottom: -20px;
    z-index: 2;
}

.layer.layer-9 {
    background-image: url("/nyeremenyjatek/media/virag-2.png");
    background-position: bottom center;
    background-size: contain;
    width: 190px;
    height: 115px;
    top: auto;
    bottom: -30px;
    right: 60px;
    left: auto;
    z-index: 1;
}

.layer.layer-10 {
    background-image: url(/nyeremenyjatek/media/level-3.png);
    background-position: bottom center;
    background-size: contain;
    width: 80px;
    height: 98px;
    top: auto;
    right: 0px;
    left: auto;
    animation: wind 5s ease-in-out infinite;
    animation-delay: 1s;
}

.layer.layer-11 {
    background-image: url("/nyeremenyjatek/media/virag-3.png");
    background-position: bottom center;
    background-size: contain;
    width: 160px;
    height: 135px;
    top: auto;
    right: -50px;
    left: auto;
    bottom: -20px;
    z-index: 1;
}

.layer.layer-15 {
    background-image: url(/nyeremenyjatek/media/szikla.png);
    background-position: bottom center;
    top: calc(50vh - 100px);
    bottom: auto;
    width: 100vw;
    height: 100px;
    left: -10px;
    right: auto;
    background-size: contain;
    z-index: 0;
}

/*@keyframes wawe {
    0% {
        height: calc( 100vh / 3 );
    }
    50% {
        height: calc( 100vh / 3 + 20px );
    }
    100% {
        height: calc( 100vh / 3 );
    }
}*/
@keyframes wawe {
    0% {
        transform: translateY(0%);
        -webkit-transform: translateY(0%);
    }
    50% {
        transform: translateY(-5%);
        -webkit-transform: translateY(-5%);
    }
    100% {
        transform: translateY(0%);
        -webkit-transform: translateY(0%);
    }
}

@keyframes waweSlot {
    0% {
        transform: translate(-50%,-50%);
        -webkit-transform: translate(-50%,-50%);
    }
    50% {
        transform: translate(-50%,-48%);
        -webkit-transform: translate(-50%,-48%);
    }
    100% {
        transform: translate(-50%,-50%);
        -webkit-transform: translate(-50%,-50%);
    }
}

@keyframes wind {
    0% {
        transform: rotate(0deg);
        transform-origin: bottom;
    }
    50% {
        transform: rotate(10deg);
        transform-origin: bottom;
    }
    100% {
        transform: rotate(0deg);
        transform-origin: bottom;
    }
}

@keyframes wind-palm {
    0% {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
    }
    50% {
        transform: rotate(3deg);
        -webkit-transform: rotate(3deg);
    }
    100% {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
    }
}

.status-bar {
    transition: all 0.3s ease-out;
    width: 100%;
    background-image: url(/nyeremenyjatek/media/statusbar-bg.png?22);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    padding: 40px 0px 60px 0px;
}

.status-bar .bar {
    width: 70%;
    margin: 0px auto;
    background: rgb(255 255 255 / 57%);
    border: 4px solid #ffffff;
    box-shadow: 0px 2px 4px -1px rgb(0 0 0 / 25%);
}

.logo {
    width: 100px;
    margin: 0px auto;
    background-image: url(/nyeremenyjatek/media/logo-bg.png?22);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    padding: 0px 0px;
}

.logo img {
    margin: 0px auto;
    display: block;
    padding: 30px 30px;
    box-sizing: border-box;
}

.game-box {
    z-index: 10;
}

img.box-image.foreground-layer {
    transition: 0.3s all ease-in-out;
    -webkit-transition: 0.3s all ease-in-out;
    animation: 4s ease-in-out 0s infinite alternate balloonFloatingIntro;
    transform-origin: top;
}

.layer.layer-21 {
    background-image: url("/nyeremenyjatek/media/palma-2.png");
    width: 290px;
    height: 190px;
    background-position: top right;
    background-size: contain;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: auto;
    z-index: 2;
}

.layer.layer-25 {
    background-image: url("/nyeremenyjatek/media/palma-2-level-1.png");
    width: 200px;
    height: 200px;
    background-position: top right;
    background-size: contain;
    top: -100px;
    right: 20px;
    bottom: 0px;
    left: auto;
    z-index: 2;
    animation: wind-palm 3s ease-in-out infinite;
    transform-origin: top right;
}

.layer.layer-26 {
    background-image: url("/nyeremenyjatek/media/palma-2-level-2.png");
    width: 320px;
    height: 360px;
    background-position: top right;
    background-size: contain;
    top: -40px;
    right: -110px;
    bottom: 0px;
    left: auto;
    z-index: 2;
    animation: wind-palm 4s ease-in-out infinite;
    transform-origin: top right;
    transition-delay: 0.5s;
}

@media ( min-width: 375px ) {

    .boxes {
        padding: 20px 0px !important;
    }

}


.layer.layer-17 {
    background-image: url(/nyeremenyjatek/media/surf-2.png);
    background-position: bottom center;
    background-size: contain;
    height: 220px;
    width: 130px;
    top: auto;
    right: -30px;
    left: auto;
    bottom: -20px;
    z-index: 1;
}

@media ( min-width: 1024px ) {


    .intro-done .boxes {
        padding: 50px 0px !important;
        max-width: 540px;
    }

    .boxes .box .gift-image-container {
        bottom: 20px;
    }

    .layer.layer-1 {
        background-image: url("/nyeremenyjatek/media/homok.png");
    }

    .layer.layer-2 {
        background-image: url("/nyeremenyjatek/media/surf.png");
        height: 700px;
        width: 300px;
        transform: rotate(-23deg);
        bottom: -30px;
    }

    .layer.layer-3 {
        background-image: url("/nyeremenyjatek/media/levelek.png");
        height: 160px;
        width: 730px;
        z-index: 2;
    }

    .layer.layer-4 {
        background-image: url(/nyeremenyjatek/media/level-1.png);
        width: 130px;
        height: 168px;
        top: auto;
        right: 435px;
        z-index: 2;
    }

    .layer.layer-5 {
        background-image: url("/nyeremenyjatek/media/level-2.png");
        width: 110px;
        height: 170px;
        top: auto;
        right: 490px;
        z-index: 2;
    }

    .layer.layer-6 {
        background-image: url("/nyeremenyjatek/media/viz-2.png");
    }

    .layer.layer-7 {
        background-image: url("/nyeremenyjatek/media/eg.png");
    }

    .layer.layer-8 {
        background-image: url("/nyeremenyjatek/media/virag-1.png");
        width: 320px;
        height: 215px;
        right: 340px;
        bottom: -50px;
        z-index: 3;
    }

    .layer.layer-9 {
        background-image: url("/nyeremenyjatek/media/virag-2.png");
        width: 290px;
        height: 215px;
        bottom: -60px;
        right: 160px;
        transform: rotate(5deg);
        z-index: 3;
    }

    .layer.layer-10 {
        background-image: url(/nyeremenyjatek/media/level-3.png);
        width: 140px;
        height: 200px;
        right: 20px;
        animation: wind 4s ease-in-out infinite;
        animation-delay: 1.8s;
        z-index: 2;
    }

    .layer.layer-11 {
        background-image: url("/nyeremenyjatek/media/virag-3.png");
        width: 310px;
        height: 205px;
        right: -80px;
        z-index: 3;
    }

    .layer.layer-0 {
        background-image: url(/nyeremenyjatek/media/nap.png?333);
        background-position: top center;
        height: 150px;
        left: 10%;
        right: auto;
        width: 300px;
    }

    @keyframes wind {
        0% {
            transform: rotate(0deg);
            -webkit-transform: rotate(0deg);
        }
        50% {
            transform: rotate(7deg);
            -webkit-transform: rotate(7deg);
        }
        100% {
            transform: rotate(0deg);
            -webkit-transform: rotate(0deg);
        }
    }

    .intro-done .boxes .box {
        height: 130px !important;
        margin: 25px 30px !important;
    }

    .layer.layer-12 {
        background-image: url(/nyeremenyjatek/media/level-1.png);
        width: 90px;
        height: 168px;
        top: auto;
        right: auto;
        left: 70px;
        z-index: 4;
        animation: wind 3s ease-in-out infinite;
        animation-delay: 0.2s;
        transform-origin: bottom;
    }

    .layer.layer-13 {
        background-image: url("/nyeremenyjatek/media/level-2.png");
        width: 100px;
        height: 160px;
        top: auto;
        right: auto;
        bottom: -20px;
        left: 20px;
        z-index: 4;
        animation: wind 6s ease-in-out infinite;
        animation-delay: 1.3s;
        transform-origin: bottom;
    }

    .layer.layer-14 {
        background-image: url("/nyeremenyjatek/media/virag-1.png");
        width: 320px;
        height: 215px;
        right: auto;
        left: -60px;
        bottom: -50px;
        z-index: 5;
        top: auto;
        transform: rotate(15deg);
    }

    .boxes .box .box-image {
        width: 100%;
        object-fit: contain;
        height: inherit;
    }

    .intro-done .boxes .box {
        height: 130px !important;
        margin: 15px 30px !important;
    }

    .intro-done .boxes {
        max-width: 460px;
    }

    .layer.layer-15 {
        background-image: url("/nyeremenyjatek/media/szikla.png");
        background-position: bottom center;
        top: calc(50vh - 100px);
        bottom: auto;
        width: 500px;
        height: 100px;
        left: -200px;
        right: auto;
        background-size: contain;
        z-index: 0;
    }

    .layer.layer-16 {
        background-image: url("/nyeremenyjatek/media/szikla-3.png");
        top: calc(50vh - 100px);
        background-position: bottom;
        bottom: auto;
        width: 500px;
        height: 100px;
        left: auto;
        right: -180px;
        background-size: contain;
        z-index: 0;
    }

    .layer.layer-17 {
        background-image: url("/nyeremenyjatek/media/surf-2.png");
        background-position: bottom center;
        background-size: contain;
        height: 600px;
        width: 350px;
        top: auto;
        left: auto;
        bottom: -20px;
        z-index: 1;
    }

    .layer.layer-18 {
        background-image: url("/nyeremenyjatek/media/szikla-1.png");
        top: calc(50vh - 70px);
        background-position: bottom;
        bottom: auto;
        width: 350px;
        height: 220px;
        left: 200px;
        right: auto;
        background-size: contain;
        z-index: 0;
    }

    .layer.layer-19 {
        background-image: url("/nyeremenyjatek/media/szikla-2.png");
        top: calc(50vh - 60px);
        background-position: bottom;
        bottom: auto;
        width: 350px;
        height: 200px;
        left: auto;
        right: 100px;
        background-size: contain;
        z-index: 0;
    }

    .layer.layer-20 {
        background-image: url("/nyeremenyjatek/media/palma.png");
        width: 600px;
        height: 860px;
        top: auto;
        right: auto;
        bottom: 0px;
        left: -160px;
        z-index: 2;
    }

    .layer.layer-23 {
        background-image: url("/nyeremenyjatek/media/palma-level-1.png");
        background-size: contain;
        width: 320px;
        height: 320px;
        top: auto;
        right: auto;
        bottom: 490px;
        left: 100px;
        z-index: 3;
        animation: wind-palm 6s ease-in-out infinite;
        transform-origin: top left;
        animation-delay: 1s;
    }

    .layer.layer-24 {
        background-image: url("/nyeremenyjatek/media/palma-level-2.png");
        background-size: contain;
        width: 280px;
        height: 300px;
        top: auto;
        right: auto;
        bottom: 540px;
        left: 130px;
        z-index: 2;
        animation: wind-palm 4s ease-in-out infinite;
        transform-origin: top left;
    }

    .layer.layer-21 {
        background-image: url("/nyeremenyjatek/media/palma-2.png");
        width: 540px;
        height: 360px;
        background-position: top right;
        background-size: contain;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: auto;
        z-index: 2;
    }

    .layer.layer-25 {
        background-image: url("/nyeremenyjatek/media/palma-2-level-1.png");
        width: 360px;
        height: 390px;
        background-position: top right;
        background-size: contain;
        top: -150px;
        right: 100px;
        bottom: 0px;
        left: auto;
        z-index: 2;
        animation: wind-palm 3s ease-in-out infinite;
        transform-origin: top right;
    }

    .layer.layer-26 {
        background-image: url("/nyeremenyjatek/media/palma-2-level-2.png");
        width: 540px;
        height: 360px;
        background-position: top right;
        background-size: contain;
        top: -40px;
        right: -110px;
        bottom: 0px;
        left: auto;
        z-index: 2;
        animation: wind-palm 4s ease-in-out infinite;
        transform-origin: top right;
        transition-delay: 0.5s;
    }

    .layer.layer-22 {
        background-image: url("/nyeremenyjatek/media/domb.png");
        width: 870px;
        height: 300px;
        background-position: bottom left;
        background-size: contain;
        top: auto;
        right: auto;
        bottom: 0px;
        left: -60px;
        z-index: 4;
    }

}

@keyframes balloonFloatingIntro {

    0% {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
    }
    50% {
        transform: rotate(3deg);
        -webkit-transform: rotate(3deg);
    }
    100% {
        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
    }

}

.flying-bird {
    width: 30px;
    height: 6px;
    background: linear-gradient(45deg, #b0ffb2, white);
    border-radius: 0px 0px 3px 100%;
    position: relative;
}

.flying-bird:after {
    content: "";
    display: block;
    height: 5px;
    width: 5px;
    background: linear-gradient(45deg, #b0ffb2, white);
    right: -5px;
    position: absolute;
    border-radius: 0px 100% 0px 0px;
}

.flying-bird:before {
    content: "";
    display: block;
    height: 23px;
    width: 15px;
    background: linear-gradient(45deg, #b0ffb2, white);
    top: 4px;
    right: 1px;
    position: absolute;
    border-radius: 0px 0px 100% 0px;
    transform-origin: 100% 0%;
    -webkit-transform-origin: 100% 0%;
    transform: rotate(12deg) rotateX(110deg);
    -webkit-transform: rotate(12deg) rotateX(110deg);
    animation: wings 2s infinite;
}

.flying-bird-container {
    position: absolute;
    top: 150px;
    animation: flying-bird linear 15s infinite;
}

.flying-bird-container:nth-child(2) {
    top: 150px;
    animation: flying-bird ease-in 15s infinite;
    transform: scale(0.3);
    -webkit-transform: scale(0.3);
}

.flying-bird-container:nth-child(3) {
    top: 200px;
    animation: flying-bird linear 15s infinite;
    animation-delay: 0.4s;
}

.flying-bird-container:nth-child(2) .flying-bird:before {
    animation: wings 1.3s infinite;
}


@keyframes wings {
    0% {
        transform: rotate(12deg) rotateX(110deg);
        -webkit-transform: rotate(12deg) rotateX(110deg);
    }
    30% {
        transform: rotate(12deg) rotateX(0deg);
        -webkit-transform: rotate(12deg) rotateX(0deg);
    }
    100% {
        transform: rotate(12deg) rotateX(110deg);
        -webkit-transform: rotate(12deg) rotateX(110deg);
    }
}

@keyframes flying-bird {
    0% {
        transform: translateX(-1000px);
        -webkit-transform: translateX(-1000px);
    }
    100% {
        transform: translateX(2000px);
        -webkit-transform: translateX(2000px);
    }
}

body.szulinap_2025
{
    background: #f3e2c5;
}

img[src*="szulinap_2025/bg-"]
{
    position: absolute;
    z-index: 2;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
}

img[src*="szulinap_2025/bg-top"]
{
    bottom:auto;
    left: 50%;
    transform: translateX( -50% );
    right: auto;
    max-height: 25%;
}

img[src*="szulinap_2025/bg-bottom"]
{
    top:auto;
    left: 50%;
    transform: translateX( -50% );
    right: auto;
    z-index: 3;
    max-height: 25%;
}

img[src*="szulinap_2025/bg-right"]
{
    left: auto;
    top: 50%;
    transform: translateY( -50% );
    bottom: auto;
    max-width: 25%;
}

img[src*="szulinap_2025/bg-left"]
{
    right: auto;
    top: 50%;
    transform: translateY( -50% );
    bottom: auto;
    max-width: 25%;
}

@media( max-width:768px ){

    img[src*="szulinap_2025/bg-"]
    {
        max-height:none
    }

    .slot
    {
        border-width: 15px;
    }

    .slot:before
    {
        height: 45px;
        width: 45px;
    }

}

a[href*="#bevaltas"],
a[href*="#bevaltas"] *
{
    cursor:default;
}

.list-item span.list-circle
{
    margin-right: 6px;
    width: 22px;
    height: 22px;
    display: inline-block;
    background: #EA4792;
    color: #fff;
    font-weight: bold;
    text-align: center;
    line-height: 22px;
    border-radius: 20px;
    font-size: 80%;
    vertical-align: top;
}

.list-item span:not( .list-circle )
{
    vertical-align: top;
    display: inline-block;
    width: calc( 100% - 40px );
}

.window.intro .prize-box b
{
    color: inherit;
}

@media( min-width:1024px ){

    .list-item
    {
        margin-bottom: 10px;
    }

    .list-item span.list-circle
    {
        width: 29px;
        height: 29px;
        line-height: 29px;
        border-radius: 40px;
        font-size: 100%;
    }

}

body.szulinap_2026
{
    background: url(/nyeremenyjatek/media/szulinap_2026/bg-main.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

img[src*="szulinap_2026/bg-"]
{
    position: absolute;
    z-index: 2;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
}

img[src*="szulinap_2026/bg-top"]
{
    bottom:auto;
    left: 50%;
    transform: translateX( -50% );
    right: auto;
    max-height: 25%;
}

img[src*="szulinap_2026/bg-bottom"]
{
    top:auto;
    left: 50%;
    transform: translateX( -50% );
    right: auto;
    z-index: 3;
    max-height: 25%;
}

img[src*="szulinap_2026/bg-right"]
{
    left: auto;
    /*top: 41.5%;*/
    top: 50%;
    transform: translateY( -50% );
    bottom: auto;
    max-width: 100%;
    max-height: 90%;
}

img[src*="szulinap_2026/bg-left"]
{
    right: auto;
    /*top: 41.5%;*/
    top: 50%;
    transform: translateY( -50% );
    bottom: auto;
    max-width: 100%;
    max-height: 90%;
}

@media( max-width:768px ){

    img[src*="szulinap_2026/bg-"]
    {
        max-height:none;
        max-width: 75%;
    }

    .slot
    {
        border-width: 15px;
    }

    .slot:before
    {
        height: 45px;
        width: 45px;
    }

}